<!DOCTYPE html>
<html>

<head>
    <title>WebSite</title>
    <link rel="stylesheet" href="bootstrap.css">
</head>

<body class="d-flex h-100 text-center text-white bg-dark">
    <div class="cover-container d-flex w-100 p-3 mx-auto flex-column">
        <header class="mb-auto">
            <div>
                <h3 class="float-md-left mb-0">WebSite</h3>
                <nav class="nav nav-masthead justify-content-center float-md-right">
                    <a href="/home" class="nav-link">Home</a>
                    <a href="/message" class="nav-link">Message</a>
                    <a href="#" class="nav-link active" aria-current="page">New grade</a>
                    <a href="/grades" class="nav-link">Grades</a>
                    <a href="/admin" class="nav-link">Admin</a>
                    <a href="/logout" class="nav-link">Logout</a>
                </nav>
            </div>
        </header>
        <main class="px-3">
            <% if(error != "") { %>
            <div class="alert alert-danger col-md-6 offset-md-3">
                <strong>Error!</strong> <%= error %>
            </div>
            <% } %>
            <form class="col-md-6 offset-md-3" action="/new_grade" method="POST">
                <label for="username">Username:</label>
                <select class="form-control" name="username" id="username">
                    <option>Select user</option>
                    <% for(var i = 0; i < users.length; i++) { %>
                        <option><%= users[i].username %></option>
                    <% } %>
                </select>
                <div class="form-group">
                    <label for="subject">Subject:</label>
                    <select class="form-control" name="subject" id="subject">
                        <option>Select subject</option>
                        <option>English</option>
                        <option>Math</option>
                        <option>Chemistry</option>
                        <option>Physics</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="description">Description:</label>
                    <input name="description" type="text" class="form-control" id="description">
                </div>
                <div class="form-group">
                    <label for="grade">Grade:</label>
                    <input name="grade" type="text" class="form-control" id="grade">
                </div>
                <div>
                    <button type="submit" class="btn btn-outline-light text-gray">Submit</button>
                </div>
            </form>
        </main>
    </div>

</body>

</html>